### Method

# Pango FontDescription merge

#### Declaration [src]

    void
    pango_font_description_merge (
      PangoFontDescription* desc,
      const PangoFontDescription* desc_to_merge,
      gboolean replace_existing
    )

#### Description [src]

Merges the fields that are set in `desc_to_merge` into the fields in `desc`.

If `replace_existing` is `FALSE`, only fields in `desc` that are not already set are affected. If `TRUE`, then fields that are already set will be replaced as well.

If `desc_to_merge` is `NULL`, this function performs nothing.

#### Parameters

`desc_to_merge`

  Type: `PangoFontDescription`

  The `PangoFontDescription` to merge from, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`replace_existing`

  Type: `gboolean`

  If `TRUE`, replace fields in `desc` with the corresponding values from `desc_to_merge`, even if they are already exist.